2011e available

Bug #747946 reported by Gary Lasker on 2011-04-02
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
High
Gary Lasker
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: tzdata

There is a new tzdata version 2011e:

   - africa: Add start and end of DST in 2011 in Morocco.
   - asia, europe: Russia to use permanent DST after its start in 2011.
   - southamerica: For Chile, delay end of DST in 2011 from April 2nd to May 7th

Gary Lasker (gary-lasker) wrote :
Changed in tzdata (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Gary Lasker (gary-lasker)
Gary Lasker (gary-lasker) wrote :

Test case for Chile DST date change for 2011, timezone "America/Santiago":

Incorrect result with 2011d showing DST switch on April 2:

$ zdump -v America/Santiago | grep 2011
America/Santiago Sun Apr 3 02:59:59 2011 UTC = Sat Apr 2 23:59:59 2011 CLST isdst=1 gmtoff=-10800
America/Santiago Sun Apr 3 03:00:00 2011 UTC = Sat Apr 2 23:00:00 2011 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Oct 9 03:59:59 2011 UTC = Sat Oct 8 23:59:59 2011 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Oct 9 04:00:00 2011 UTC = Sun Oct 9 01:00:00 2011 CLST isdst=1 gmtoff=-10800

Correct result with 2011e showing DST switching on May 7:

$ zdump -v America/Santiago | grep 2011
America/Santiago Sun May 8 02:59:59 2011 UTC = Sat May 7 23:59:59 2011 CLST isdst=1 gmtoff=-10800
America/Santiago Sun May 8 03:00:00 2011 UTC = Sat May 7 23:00:00 2011 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Aug 21 03:59:59 2011 UTC = Sat Aug 20 23:59:59 2011 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Aug 21 04:00:00 2011 UTC = Sun Aug 21 01:00:00 2011 CLST isdst=1 gmtoff=-10800

tags: added: patch
Gary Lasker (gary-lasker) wrote :

I've prepared the updates for Dapper, Hardy, Karmic, Lucid and Maverick and uploaded them to the following locations:

  http://people.canonical.com/~tremolux/tzdata_2011e_dapper/
  http://people.canonical.com/~tremolux/tzdata_2011e_hardy/
  http://people.canonical.com/~tremolux/tzdata_2011e_karmic/
  http://people.canonical.com/~tremolux/tzdata_2011e_lucid/
  http://people.canonical.com/~tremolux/tzdata_2011e_maverick/

Please also sync 2011e-1 from Debian for Natty.

Many thanks, Martin!

Changed in tzdata (Ubuntu):
status: Triaged → In Progress
Martin Pitt (pitti) wrote :

2011e-1 synced into natty

Changed in tzdata (Ubuntu):
status: In Progress → Fix Released

Accepted tzdata into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Maverick):
status: New → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Dapper):
status: New → Fix Committed
Gary Lasker (gary-lasker) wrote :

I have verified the updates in -proposed per the supplied test case for all of the following:

  dapper
  hardy
  karmic
  lucid
  maverick

Thanks, Martin!

tags: added: verification-done
removed: patch verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011e-0ubuntu0.10.10

---------------
tzdata (2011e-0ubuntu0.10.10) maverick-proposed; urgency=low

  * New upstream release 2011e: (LP: #747946)
    - africa: Add start and end of DST in 2011 in Morocco.
    - southamerica: For Chile, delay end of DST in 2011 from April 2nd to May 7th
 -- Gary Lasker <email address hidden> Sat, 02 Apr 2011 11:21:16 -0400

Changed in tzdata (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011e-0ubuntu0.10.04

---------------
tzdata (2011e-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2011e: (LP: #747946)
    - africa: Add start and end of DST in 2011 in Morocco.
    - southamerica: For Chile, delay end of DST in 2011 from April 2nd to May 7th
 -- Gary Lasker <email address hidden> Sat, 02 Apr 2011 18:44:17 -0400

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011e-0ubuntu0.9.10

---------------
tzdata (2011e-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2011e: (LP: #747946)
    - africa: Add start and end of DST in 2011 in Morocco.
    - southamerica: For Chile, delay end of DST in 2011 from April 2nd to May 7th
 -- Gary Lasker <email address hidden> Sat, 02 Apr 2011 16:48:57 -0400

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011e~repack-0ubuntu0.8.04

---------------
tzdata (2011e~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2011e: (LP: #747946)
    - africa: Add start and end of DST in 2011 in Morocco.
    - southamerica: For Chile, delay end of DST in 2011 from April 2nd to May 7th
 -- Gary Lasker <email address hidden> Sat, 02 Apr 2011 17:12:21 -0400

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2011-04-04
Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers